### Class

# Eog ImageSaveInfo

#### Description

    class Eog.ImageSaveInfo : GObject.Object {
      parent: GObject,
      file: GFile*,
      format: char*,
      exists: gboolean,
      local: gboolean,
      has_metadata: gboolean,
      modified: gboolean,
      overwrite: gboolean,
      jpeg_quality: float
    }

No description available.

#### Ancestors

- GObject

#### Constructors

###### eog_image_save_info_new_from_file

No description available.

###### eog_image_save_info_new_from_image

No description available.

###### eog_image_save_info_new_from_uri

No description available.

#### Instance methods

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct EogImageSaveInfoClass {
      GObjectClass parent_klass;

    }

No description available.

###### Class members

`parent_klass: GObjectClass`
  No description available.